[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomComboBoxEx.AssignItemsEx

Assigns the specified values to the ItemsEx property.

## Declaration

Source position: comboex.pas line 169

`public procedure TCustomComboBoxEx.AssignItemsEx(`
`AItems: TStrings`
`); overload; procedure TCustomComboBoxEx.AssignItemsEx(`
`AItemsEx: TComboExItems`
`); overload;`

## Arguments

`AItems` |  | TStrings instance with values stored in the ItemsEx property.

## Arguments

`AItemsEx` |  | TComboExItems instance with values stored in the ItemsEx property.

## Description

AssignItemsEx is an overloaded procedure used to assign the specified values to the ItemsEx property.

The overloaded variants are used to specify different source types with the values stored in the method. When AItemsEx (TComboExItems) is used as the source, the Assign method in ItemsEx is called to store the new values in the property. When AItems (TStrings) is used as the source, additional processing is performed to clear the content in ItemsEx prior to calling its AddItem method for each of the captions in AItems.

## See also

TComboExItems |  | Implements a collection for the items added to TCustomComboBoxEx.
TComboExItems.AddItem |  | Adds a new item with the specified values to the collection.
TCollection.Assign
TCollection.Clear